summaryrefslogtreecommitdiff
path: root/lib/make/extras/HDF5
diff options
context:
space:
mode:
authortradke <tradke@17b73243-c579-4c4c-a9d2-2d5706c11dac>2003-03-19 14:02:04 +0000
committertradke <tradke@17b73243-c579-4c4c-a9d2-2d5706c11dac>2003-03-19 14:02:04 +0000
commit6c6cd9b69d62427bbff85e84dc7ccbcb26da12ce (patch)
tree4a054ac98b454ec0cfd19fb6052136aef5313b9a /lib/make/extras/HDF5
parent604245ab10aa04c5f0d1a53b6907f537ece86e9e (diff)
Fixed detection of whether zlib is needed to link against HDF5 libs or not.
This has changed again with HDF5 version 1.4.5. Also commented out info message saying that "Cactus cannot make use of parallel HDF5 support" if only a serial HDF5 library is found. Parallel HDF5 support isn't any better than serial HDF5 anyways (even slower potentially). git-svn-id: http://svn.cactuscode.org/flesh/trunk@3180 17b73243-c579-4c4c-a9d2-2d5706c11dac
Diffstat (limited to 'lib/make/extras/HDF5')
-rwxr-xr-xlib/make/extras/HDF5/setup.sh26
1 files changed, 11 insertions, 15 deletions
diff --git a/lib/make/extras/HDF5/setup.sh b/lib/make/extras/HDF5/setup.sh
index 96a90fe8..ea9c4ffc 100755
--- a/lib/make/extras/HDF5/setup.sh
+++ b/lib/make/extras/HDF5/setup.sh
@@ -34,9 +34,9 @@ test_phdf5=$?
if [ -n "$MPI" ] ; then
if [ $test_phdf5 -eq 0 ] ; then
- echo "Found parallel HDF5 library, so Cactus will make use of parallel HDF5 support."
- else
- echo "Found serial HDF5 library, so Cactus can't make use of parallel HDF5 support."
+ echo "Found parallel HDF5 library, so Cactus will potentially make use of parallel HDF5 support."
+# else
+# echo "Found serial HDF5 library, so Cactus can't make use of parallel HDF5 support."
fi
else
if [ $test_phdf5 -eq 0 ] ; then
@@ -77,25 +77,21 @@ fi
# Check whether we have to link with libz.a
-# this is for 1.3.x versions of HDF5
-grep -qe '#define H5_HAVE_COMPRESS2 1' ${HDF5_DIR}/include/H5pubconf.h 2> /dev/null
-test_compress2=$?
+# this is for current versions of HDF5 (starting from 1.4.x)
+grep -qe '#define H5_HAVE_LIBZ 1' ${HDF5_DIR}/include/H5pubconf.h 2> /dev/null
+test_zlib=$?
-# this is for 1.2.x versions of HDF5
-if [ $test_compress2 -ne 0 ] ; then
- grep -qe '#define HAVE_COMPRESS2 1' ${HDF5_DIR}/include/H5config.h 2> /dev/null
- test_compress2=$?
+# this is for old versions of HDF5 (before 1.4.x)
+if [ $test_zlib -ne 0 ] ; then
+ grep -qe '#define HAVE_LIBZ 1' ${HDF5_DIR}/include/H5config.h 2> /dev/null
+ test_zlib=$?
fi
-# this is for old 1.0.x versions of HDF5 where they used different defines for zlib
-grep -qe '#define HAVE_LIBZ 1' ${HDF5_DIR}/include/H5config.h 2> /dev/null
-test_zlib=$?
-
# check whether we run Windows or not
$PERL -we 'exit (`uname` =~ /^CYGWIN/)'
is_windows=$?
-if [ $test_compress2 -eq 0 -o $test_zlib -eq 0 ] ; then
+if [ $test_zlib -eq 0 ] ; then
if [ $is_windows -eq 0 ] ; then
libz='libz.a'
else